%define upstream_name    ConfigReader-Simple
%define upstream_version 1.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Read simple configuration file formats
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ConfigReader/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Warn)
BuildArch: noarch


%description
'ConfigReader::Simple' reads and parses simple configuration files. It is
designed to be smaller and simpler than the 'ConfigReader' module and is
more suited to simple configuration files. 

The configuration file format
    The configuration file uses a line-oriented format, meaning that the
    directives do not have containers. The values can be split across lines
    with a continuation character, but for the most part everything ends up
    on the same line.

    The first group of non-whitespace characters is the "directive", or the
    name of the configuration item. The linear whitespace after that
    separates the directive from the "value", which is the rest of the
    line, including any other whitespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.290.0-6.mga6
+ Revision: 1024313
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.290.0-5.mga6
+ Revision: 949465
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.290.0-4.mga5
+ Revision: 789668
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-3.mga5
+ Revision: 742028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-2.mga5
+ Revision: 684004
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.290.0-1.mga5
+ Revision: 664598
- update to 1.29

* Fri Oct 18 2013 umeabot <umeabot> 1.280.0-4.mga4
+ Revision: 510281
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-3.mga3
+ Revision: 364717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.280.0-2.mga1
+ Revision: 29110
- mageia rebuild
- imported package perl-ConfigReader-Simple

